commit c27080718d480ef08986b9224c0d146b75791c25
Author: Haochen Gui <guihaoc@gcc.gnu.org>
Date:   Thu Jul 29 08:56:12 2021

    Fix failed test cases caused by disabling mode promotion for pseudos [PR100952]
    
    gcc/testsuite
            PR target/100952
            * gcc.target/powerpc/pr56605.c: Change matching
            conditions.
            * gcc.target/powerpc/pr81348.c: Likewise.
    
    (cherry picked from commit f0529d96f56758e56151f409c55bab3034163210)

diff --git a/gcc/testsuite/gcc.target/powerpc/pr56605.c b/gcc/testsuite/gcc.target/powerpc/pr56605.c
index 29efd815adc..fdedbfc573d 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr56605.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr56605.c
@@ -11,5 +11,5 @@ void foo (short* __restrict sb, int* __restrict ia)
     ia[i] = (int) sb[i];
 }
 
-/* { dg-final { scan-rtl-dump-times "\\\(compare:CC \\\((?:and|zero_extend):DI \\\(reg:\[SD\]I" 1 "combine" } } */
+/* { dg-final { scan-rtl-dump-times {\(compare:CC \((?:and|zero_extend):(?:DI) \((?:sub)?reg:[SD]I} 1 "combine" } } */
 
diff --git a/gcc/testsuite/gcc.target/powerpc/pr81348.c b/gcc/testsuite/gcc.target/powerpc/pr81348.c
index 7037acf0c22..16a46c817f4 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr81348.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr81348.c
@@ -1,4 +1,4 @@
-/* { dg-do compile { target { powerpc64*-*-* && lp64 } } } */
+/* { dg-do compile { target lp64 } } */
 /* { dg-require-effective-target powerpc_p9vector_ok } */
 /* { dg-options "-mdejagnu-cpu=power9 -Og" } */
 
@@ -19,5 +19,5 @@ void d(void)
         ***c = e;
 }
 
-/* { dg-final { scan-assembler {\mlxsihzx\M}  } } */
-/* { dg-final { scan-assembler {\mvextsh2d\M} } } */
+/* { dg-final { scan-assembler {\mlha\M}  } } */
+/* { dg-final { scan-assembler {\mmtvsrwa\M} } } */

